﻿//ページの読み込み時に実行
window.onload = function() {
  //実行ボタンを取得
  var btn = document.getElementById('nbtn');
  //クリック時に実行する関数
  btn.onclick = function(){
    //入力ボックスの数値を取得
    var cYear = document.getElementById('iNen').value;
    //入力値が2019以上かどうかを判定
    if (cYear >= 2019){
      var rYear = parseInt(cYear) - 2018;
      //令和での年数を表示
      document.getElementById('ans1').innerText =
        '西暦' + cYear + '年は令和' + rYear + '年です。';
      //平成に換算した年数を表示
      var hYear = parseInt(cYear) - 1988;
      document.getElementById('ans2').innerText =
        '平成元年からは' + hYear + '年目です。';
    //入力値が1989以上かどうかを判定
    } else if (cYear >= 1989) {
      var rYear = parseInt(cYear) - 1988;
      //平成での年数を表示
      document.getElementById('ans1').innerText =
        '西暦' + cYear + '年は平成' + rYear + '年です。';
      //昭和に換算した年数を表示
      var hYear = parseInt(cYear) - 1925;
      document.getElementById('ans2').innerText =
        '昭和元年からは' + hYear + '年目です。';
    //入力値が1926以上かどうかを判定     
    } else if (cYear >= 1926) {
      var rYear = parseInt(cYear) - 1925;
      //昭和での年数を表示
      document.getElementById('ans1').innerText =
        '西暦' + cYear + '年は昭和' + rYear + '年です。';
      //表示枠2を非表示にする
      document.getElementById('ans2').innerText = '';
    //入力値がそれ以外の場合    
    } else {
      //表示枠を2つとも非表示にする
      document.getElementById('ans1').innerText = '';
      document.getElementById('ans2').innerText = '';
    }
  }
}